Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.agave
Class AGAVEMatchRegion

    java.lang.Object
      org.biojava.bio.seq.io.agave.AGAVEMatchRegion

    public class AGAVEMatchRegion

extends Object

match_region

Author:
  Hanning Ni Doubletwist Inc, Greg Cox

Constructor Summary
`AGAVEMatchRegion()`

Method Summary
`AGAVEDbId` | `getDbId()`
`String` | `getElementId()`
`int` | `getEnd()`
`int` | `getStart()`
`void` | `setDbId(AGAVEDbId id)`
`void` | `setElementId(String id)`
`void` | `setEnd(int end)`
`void` | `setStart(int start)`
`String` | `toString()`
`String` | `toString(String indent, String indent_unit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AGAVEMatchRegion

    public AGAVEMatchRegion()

Method Detail

### setStart

    public void setStart(int start)

### setEnd

    public void setEnd(int end)

### setElementId

    public void setElementId(String id)

### setDbId

    public void setDbId(AGAVEDbId id)

### getStart

    public int getStart()

### getEnd

    public int getEnd()

### getElementId

    public String getElementId()

### getDbId

    public AGAVEDbId getDbId()

### toString

    public String toString(String indent,
                           String indent_unit)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD